VAR

  long  StackA[32]                       'Stack workspace for cogs
  long  StackB[32]
  long  StackC[32]
  

PUB Main

  cognew(LED_Flash(16, 30, 5), @StackA)  'Launch cog to flash led
  cognew(LED_Flash(19, 15, 15), @StackB) 'And another for different led
  cognew(LED_Flash(23, 7, 26), @StackC)  'And a third, all at same time
  

PUB LED_Flash(Pin, Duration, Count)
{Flash led on PIN for Duration a total of Count times.
 Duration is in 1/100th second units.}

  Duration := clkfreq / 100 * Duration   'Calculate cycle duration
  dira[16..23]~~                         'Set pins to output

  repeat Count * 2                       'Loop Count * 2 times...
    !outa[Pin]                           '  Toggle I/O pin
    waitcnt(Duration + cnt)              '  Delay for some time