VAR
  long  Cog                              'Holds ID of started cog               
  long  Stack[32]                        'Stack workspace for cog

  
PUB Start(Pin, Duration, Count)
{{Start flashing led on Pin, for Duration, a total of Count times.}}

  Stop
  Cog := cognew(LED_Flash(Pin, Duration, Count), @Stack) + 1


PUB Stop
{{Stop flashing led.}}

  if Cog                                 'Did we start a cog?
    cogstop(Cog~ - 1)                    '  If so, stop it

    
PRI LED_Flash(Pin, Duration, Count)
{Flash led on PIN for Duration a total of Count times.
 Duration is in 1/100th second units.}

  Duration := clkfreq / 100 * Duration   'Calculate cycle duration
  dira[16..23]~~                         'Set pins to output

  repeat Count * 2                       'Loop Count * 2 times...
    !outa[Pin]                           '  Toggle I/O pin
    waitcnt(Duration + cnt)              '  Delay for some time